"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = exports.Image = exports.Button = exports.Link = exports.Heading = exports.Text = exports.Flex = exports.Box = exports.themed = exports.css = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _styledSystem = require("styled-system");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var css = function css(props) {
  return props.css;
};

exports.css = css;

var themed = function themed(key) {
  return function (props) {
    return props.theme[key];
  };
};

exports.themed = themed;
var Box = (0, _reactEmotion.default)('div')(_styledSystem.space, _styledSystem.width, _styledSystem.fontSize, _styledSystem.color, themed('Box'), css);
exports.Box = Box;
Box.propTypes = _objectSpread({}, _styledSystem.space.propTypes, _styledSystem.width.propTypes, _styledSystem.fontSize.propTypes, _styledSystem.color.propTypes);
var Flex = (0, _reactEmotion.default)(Box)({
  display: 'flex'
}, _styledSystem.flexWrap, _styledSystem.flexDirection, _styledSystem.alignItems, _styledSystem.justifyContent, themed('Flex'));
exports.Flex = Flex;
Flex.propTypes = _objectSpread({}, _styledSystem.flexWrap.propTypes, _styledSystem.flexDirection.propTypes, _styledSystem.alignItems.propTypes, _styledSystem.justifyContent.propTypes);
var Text = (0, _reactEmotion.default)(Box)(_styledSystem.fontFamily, _styledSystem.fontWeight, _styledSystem.textAlign, _styledSystem.lineHeight, _styledSystem.letterSpacing, themed('Text'));
exports.Text = Text;
Text.propTypes = _objectSpread({}, _styledSystem.fontFamily.propTypes, _styledSystem.fontWeight.propTypes, _styledSystem.textAlign.propTypes, _styledSystem.lineHeight.propTypes, _styledSystem.letterSpacing.propTypes);
var Heading = (0, _reactEmotion.default)(Text)(themed('Heading'));
exports.Heading = Heading;
Heading.defaultProps = {
  as: 'h2',
  m: 0,
  fontSize: 4,
  fontWeight: 'bold'
};
var Link = (0, _reactEmotion.default)(Box)(themed('Link'));
exports.Link = Link;
Link.defaultProps = {
  as: 'a',
  color: 'blue'
};
var Button = (0, _reactEmotion.default)(Box)({
  appearance: 'none',
  display: 'inline-block',
  textAlign: 'center',
  lineHeight: 'inherit',
  textDecoration: 'none'
}, _styledSystem.fontWeight, _styledSystem.borders, _styledSystem.borderColor, _styledSystem.borderRadius, _styledSystem.buttonStyle, themed('Button'));
exports.Button = Button;
Button.propTypes = _objectSpread({}, _styledSystem.fontWeight.propTypes, _styledSystem.borders.propTypes, _styledSystem.borderColor.propTypes, _styledSystem.borderRadius.propTypes, _styledSystem.buttonStyle.propTypes);
Button.defaultProps = {
  as: 'button',
  fontSize: 'inherit',
  fontWeight: 'bold',
  m: 0,
  px: 3,
  py: 2,
  color: 'white',
  bg: 'blue',
  border: 0,
  borderRadius: 4
};
var Image = (0, _reactEmotion.default)(Box)({
  maxWidth: '100%',
  height: 'auto'
}, _styledSystem.height, _styledSystem.borderRadius, themed('Image'));
exports.Image = Image;
Image.propTypes = _objectSpread({}, _styledSystem.height.propTypes, _styledSystem.borderRadius.propTypes);
Image.defaultProps = {
  as: 'img',
  m: 0
};
var cards = (0, _styledSystem.variant)({
  key: 'cards'
});
var Card = (0, _reactEmotion.default)(Box)(_styledSystem.borders, _styledSystem.borderRadius, _styledSystem.boxShadow, _styledSystem.backgroundImage, _styledSystem.backgroundSize, _styledSystem.backgroundPosition, _styledSystem.backgroundRepeat, _styledSystem.opacity, themed('Card'), cards);
exports.Card = Card;
Card.propTypes = _objectSpread({}, _styledSystem.borders.propTypes, _styledSystem.borderRadius.propTypes, _styledSystem.boxShadow.propTypes, _styledSystem.backgroundImage.propTypes, _styledSystem.backgroundSize.propTypes, _styledSystem.backgroundPosition.propTypes, _styledSystem.backgroundRepeat.propTypes, _styledSystem.opacity.propTypes, cards.propTypes);
