function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import styled from 'styled-components';
import { space, color, width, height, flexWrap, flexDirection, alignItems, justifyContent, fontSize, fontFamily, fontWeight, textAlign, lineHeight, letterSpacing, borders, borderColor, borderRadius, buttonStyle, boxShadow, backgroundImage, backgroundSize, backgroundPosition, backgroundRepeat, opacity, variant } from 'styled-system';
export var css = function css(props) {
  return props.css;
};
export var themed = function themed(key) {
  return function (props) {
    return props.theme[key];
  };
};
export var Box = styled('div')(space, width, fontSize, color, themed('Box'), css);
Box.propTypes = _extends({}, space.propTypes, width.propTypes, fontSize.propTypes, color.propTypes);
export var Flex = styled(Box)({
  display: 'flex'
}, flexWrap, flexDirection, alignItems, justifyContent, themed('Flex'));
Flex.propTypes = _extends({}, flexWrap.propTypes, flexDirection.propTypes, alignItems.propTypes, justifyContent.propTypes);
export var Text = styled(Box)(fontFamily, fontWeight, textAlign, lineHeight, letterSpacing, themed('Text'));
Text.propTypes = _extends({}, fontFamily.propTypes, fontWeight.propTypes, textAlign.propTypes, lineHeight.propTypes, letterSpacing.propTypes);
export var Heading = styled(Text)(themed('Heading'));
Heading.defaultProps = {
  as: 'h2',
  m: 0,
  fontSize: 4,
  fontWeight: 'bold'
};
export var Link = styled(Box)(themed('Link'));
Link.defaultProps = {
  as: 'a',
  color: 'blue'
};
export var Button = styled(Box)({
  appearance: 'none',
  display: 'inline-block',
  textAlign: 'center',
  lineHeight: 'inherit',
  textDecoration: 'none'
}, fontWeight, borders, borderColor, borderRadius, buttonStyle, themed('Button'));
Button.propTypes = _extends({}, fontWeight.propTypes, borders.propTypes, borderColor.propTypes, borderRadius.propTypes, buttonStyle.propTypes);
Button.defaultProps = {
  as: 'button',
  fontSize: 'inherit',
  fontWeight: 'bold',
  m: 0,
  px: 3,
  py: 2,
  color: 'white',
  bg: 'blue',
  border: 0,
  borderRadius: 4
};
export var Image = styled(Box)({
  maxWidth: '100%',
  height: 'auto'
}, height, borderRadius, themed('Image'));
Image.propTypes = _extends({}, height.propTypes, borderRadius.propTypes);
Image.defaultProps = {
  as: 'img',
  m: 0
};
var cards = variant({
  key: 'cards'
});
export var Card = styled(Box)(borders, borderRadius, boxShadow, backgroundImage, backgroundSize, backgroundPosition, backgroundRepeat, opacity, themed('Card'), cards);
Card.propTypes = _extends({}, borders.propTypes, borderRadius.propTypes, boxShadow.propTypes, backgroundImage.propTypes, backgroundSize.propTypes, backgroundPosition.propTypes, backgroundRepeat.propTypes, opacity.propTypes, cards.propTypes);
